FIX::header_order Struct Reference

Sorts fields in correct header order. More...

`#include <MessageSorters.h>`

## Static Public Member Functions

static bool | compare (const int x, const int y)
static int | getOrderedPosition (const int field)

## Detailed Description

Sorts fields in correct header order.

Definition at line 55 of file MessageSorters.h.

## Member Function Documentation

## compare()

static bool FIX::header_order::compare | ( | const int | x,
|  | const int | y
| ) |  |

inline static

Definition at line 74 of file MessageSorters.h.

{
static bool compare( const int x, const int y, int* order, int largest )
{
if ( x <= largest && y <= largest )
{
int iX = order[ x ];
int iY = order[ y ];

## getOrderedPosition()

static int FIX::header_order::getOrderedPosition | ( | const int | field | ) |

inline static

Definition at line 91 of file MessageSorters.h.

The documentation for this struct was generated from the following file:

- MessageSorters.h

FIX::header_order::compare
static bool compare(const int x, const int y)
Definition: MessageSorters.h:74